From a61d00832a12773caf53418592342c2cd0acdd88 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Mon, 8 Jul 2013 17:13:24 +0200
Subject: Remove 1.8.7 compatibility and 1.8.7 tests on TravisCI

--HG--
extra : source : 47c8c33004b31ec26071f4d88e9f73170316a60c
---
 .travis.yml |   47 +++++++++--------------------------------------
 Gemfile     |   12 ++----------
 2 files changed, 11 insertions(+), 48 deletions(-)

diff --git a/Gemfile b/Gemfile
index 59afab0..78eb8cc 100644
--- a/Gemfile
+++ b/Gemfile
@@ -10,8 +10,6 @@ gem "rdoc", ">= 2.4.2"
 gem "liquid", "~> 2.3.0"
 gem "acts-as-taggable-on", "= 2.1.0"
 gem 'gravatarify', '~> 3.0.0'
-# Needed only on RUBY_VERSION = 1.8, ruby 1.9+ compatible interpreters should bring their csv
-gem "fastercsv", "~> 1.5.0", :platforms => [:ruby_18, :jruby, :mingw_18]
 # TODO rails-3.2: review the core changes to awesome_nested_set and decide on actions
 gem 'awesome_nested_set'
 # TODO rails-3.2: review the core changes to open_id_authentication and decide on actions
@@ -67,7 +65,8 @@ end
 # warned.
 
 platforms :mri, :mingw, :rbx do
-  group :mysql2 do
+  # keep mysql group as backwards compat
+  group :mysql2, :mysql do
     gem "mysql2", "~> 0.2.7"
   end
 
@@ -81,13 +80,6 @@ platforms :mri, :mingw, :rbx do
   end
 end
 
-platforms :mri_18, :mingw_18 do
-  group :mysql do
-    gem "mysql"
-    #   gem "ruby-mysql"
-  end
-end
-
 platforms :jruby do
   gem "jruby-openssl"
 
-- 
1.7.1


